-- Now to open those bags!
local function Bagger(self, event, ...)

	if ( event == "ADDON_LOADED" )
		then
			self:RegisterEvent("AUCTION_HOUSE_SHOW")
			self:RegisterEvent("AUCTION_HOUSE_CLOSED")
			self:RegisterEvent("BANKFRAME_OPENED")
			self:RegisterEvent("BANKFRAME_CLOSED")
			self:RegisterEvent("GUILDBANKFRAME_OPENED")
			self:RegisterEvent("GUILDBANKFRAME_CLOSED")
			self:RegisterEvent("ITEM_UPGRADE_MASTER_OPENED")
			self:RegisterEvent("ITEM_UPGRADE_MASTER_CLOSED")
			self:RegisterEvent("SCRAPPING_MACHINE_SHOW")
			self:RegisterEvent("SCRAPPING_MACHINE_CLOSE")
			self:RegisterEvent("TRADE_SHOW")
			self:RegisterEvent("TRADE_CLOSED")
			self:RegisterEvent("VOID_STORAGE_OPEN")
			self:RegisterEvent("VOID_STORAGE_CLOSE")
	end
-- The bank has trouble with ToggleAllBags and OpenAllBags when no slots have been purchased for some reason, so...
	if (event == "BANKFRAME_OPENED")
		then
			local BankBags = GetNumBankSlots()
			local i
			for i = 0, BankBags do
				OpenBag(NUM_BAG_SLOTS + 1 + i)
			end
	end
-- The rest is pretty open and shut
	if (
		event == "AUCTION_HOUSE_SHOW" or
		event == "GUILDBANKFRAME_OPENED" or
		event == "ITEM_UPGRADE_MASTER_OPENED" or
		event == "SCRAPPING_MACHINE_SHOW" or
		event == "TRADE_SHOW" or
		event == "VOID_STORAGE_OPEN"
		)
		then
			OpenAllBags()
	end

	if (
		event == "AUCTION_HOUSE_CLOSED" or
		event == "BANKFRAME_CLOSED" or
		event == "GUILDBANKFRAME_CLOSED" or
		event == "ITEM_UPGRADE_MASTER_CLOSED" or
		event == "SCRAPPING_MACHINE_CLOSE" or
		event == "TRADE_CLOSED" or
		event == "VOID_STORAGE_CLOSE"
		)
		then
			CloseAllBags()
	end
end
-- Then put it all to work
local bagger_frame = CreateFrame("Frame")
bagger_frame:RegisterEvent("ADDON_LOADED")
bagger_frame:SetScript("OnEvent", Bagger)

